KDE 4.5 PyKDE API Reference

- KDE's Python API

# GlobalConfig Class Reference

`from PyKDE4.phonon import *`

Namespace: Phonon

## Detailed Description

## Enumerations

DevicesToHideFlag | { ShowUnavailableDevices, ShowAdvancedDevices, HideAdvancedDevices, AdvancedDevicesFromSettings, HideUnavailableDevices }

## Methods

| __init__ (self)
int | audioCaptureDeviceFor (self, Phonon::Category category, int override=Phonon.GlobalConfig.AdvancedDevicesFromSettings)
[int] | audioCaptureDeviceListFor (self, Phonon::Category category, int override=Phonon.GlobalConfig.AdvancedDevicesFromSettings)
int | audioOutputDeviceFor (self, Phonon::Category category, int override=Phonon.GlobalConfig.AdvancedDevicesFromSettings)
[int] | audioOutputDeviceListFor (self, Phonon::Category category, int override=Phonon.GlobalConfig.AdvancedDevicesFromSettings)
bool | hideAdvancedDevices (self)
Phonon.GlobalConfig | operator = (self, Phonon.GlobalConfig a0)
| setAudioCaptureDeviceListFor (self, Phonon::Category category, [int] order)
| setAudioOutputDeviceListFor (self, Phonon::Category category, [int] order)
| setHideAdvancedDevices (self, bool hide=1)

## Method Documentation

__init__ | ( |  | self ) |

int audioCaptureDeviceFor | ( | self, |
|  | Phonon::Category | category,
|  | int | override=Phonon.GlobalConfig.AdvancedDevicesFromSettings
| ) |  |  |

[int] audioCaptureDeviceListFor | ( | self, |
|  | Phonon::Category | category,
|  | int | override=Phonon.GlobalConfig.AdvancedDevicesFromSettings
| ) |  |  |

int audioOutputDeviceFor | ( | self, |
|  | Phonon::Category | category,
|  | int | override=Phonon.GlobalConfig.AdvancedDevicesFromSettings
| ) |  |  |

[int] audioOutputDeviceListFor | ( | self, |
|  | Phonon::Category | category,
|  | int | override=Phonon.GlobalConfig.AdvancedDevicesFromSettings
| ) |  |  |

bool hideAdvancedDevices | ( |  | self ) |

Phonon.GlobalConfig operator = | ( | self, |
|  | Phonon.GlobalConfig | a0
| ) |  |  |

setAudioCaptureDeviceListFor | ( | self, |
|  | Phonon::Category | category,
|  | [int] | order
| ) |  |  |

setAudioOutputDeviceListFor | ( | self, |
|  | Phonon::Category | category,
|  | [int] | order
| ) |  |  |

setHideAdvancedDevices | ( | self, |
|  | bool | hide=1
| ) |  |  |

## Enumeration Documentation

DevicesToHideFlag

Enumerator:

  ShowUnavailableDevices = 0 |
  ShowAdvancedDevices = 0 |
  HideAdvancedDevices = 1 |
  AdvancedDevicesFromSettings = 2 |
  HideUnavailableDevices = 4 |